InfoGrab Docs

프로젝트 반복 API

요약

이 API를 사용하여 프로젝트 반복에 접근합니다. 그룹 반복의 경우 그룹 반복 API를 사용합니다. 더 이상 프로젝트 수준 반복이 없지만 이 엔드포인트를 사용하여 프로젝트의 상위 그룹 반복을 가져올 수 있습니다. 지정된 프로젝트의 모든 반복을 나열합니다.

이 API를 사용하여 프로젝트 반복에 접근합니다.

그룹 반복의 경우 그룹 반복 API를 사용합니다.

더 이상 프로젝트 수준 반복이 없지만 이 엔드포인트를 사용하여 프로젝트의 상위 그룹 반복을 가져올 수 있습니다.

모든 프로젝트 반복 목록#

지정된 프로젝트의 모든 반복을 나열합니다.

반복 주기에서 자동 일정 활성화로 생성된 반복은 titledescription 필드에 대해 null을 반환합니다.

GET /projects/:id/iterations
GET /projects/:id/iterations?state=opened
GET /projects/:id/iterations?state=closed
GET /projects/:id/iterations?search=version
GET /projects/:id/iterations?include_ancestors=false
GET /projects/:id/iterations?include_descendants=true
GET /projects/:id/iterations?updated_before=2013-10-02T09%3A24%3A18Z
GET /projects/:id/iterations?updated_after=2013-10-02T09%3A24%3A18Z
속성 타입 필수 설명
state string 아니오 'opened, upcoming, current, closed 또는 all 반복 반환.'
search string 아니오 제공된 문자열과 일치하는 제목을 가진 반복만 반환합니다.
in array of strings 아니오 search 인수에 지정된 쿼리로 퍼지 검색을 수행할 필드. 사용 가능한 옵션은 titlecadence_title입니다. 기본값은 [title]입니다. GitLab 16.2에서 도입.
include_ancestors boolean 아니오 상위 그룹 및 해당 상위 항목에 대한 반복을 포함합니다. 기본값은 true입니다.
include_descendants boolean 아니오 상위 그룹 및 해당 하위 항목에 대한 반복을 포함합니다. 기본값은 false입니다. GitLab 16.7에서 도입.
updated_before datetime 아니오 지정된 날짜/시간 이전에 업데이트된 반복만 반환합니다. ISO 8601 형식(2019-03-15T08:00:00Z)으로 입력합니다. GitLab 15.10에서 도입.
updated_after datetime 아니오 지정된 날짜/시간 이후에 업데이트된 반복만 반환합니다. ISO 8601 형식(2019-03-15T08:00:00Z)으로 입력합니다. GitLab 15.10에서 도입.

요청 예:

curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/iterations"

응답 예:

[
  {
    "id": 53,
    "iid": 13,
    "group_id": 5,
    "title": "Iteration II",
    "description": "Ipsum Lorem ipsum",
    "state": 2,
    "created_at": "2020-01-27T05:07:12.573Z",
    "updated_at": "2020-01-27T05:07:12.573Z",
    "due_date": "2020-02-01",
    "start_date": "2020-02-14",
    "web_url": "http://gitlab.example.com/groups/my-group/-/iterations/13"
  }
]

프로젝트 반복 API

Tier: Premium, Ultimate
Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated
원문 보기
요약

이 API를 사용하여 프로젝트 반복에 접근합니다. 그룹 반복의 경우 그룹 반복 API를 사용합니다. 더 이상 프로젝트 수준 반복이 없지만 이 엔드포인트를 사용하여 프로젝트의 상위 그룹 반복을 가져올 수 있습니다. 지정된 프로젝트의 모든 반복을 나열합니다.

이 API를 사용하여 프로젝트 반복에 접근합니다.

그룹 반복의 경우 그룹 반복 API를 사용합니다.

더 이상 프로젝트 수준 반복이 없지만 이 엔드포인트를 사용하여 프로젝트의 상위 그룹 반복을 가져올 수 있습니다.

모든 프로젝트 반복 목록#

지정된 프로젝트의 모든 반복을 나열합니다.

반복 주기에서 자동 일정 활성화로 생성된 반복은 titledescription 필드에 대해 null을 반환합니다.

GET /projects/:id/iterations
GET /projects/:id/iterations?state=opened
GET /projects/:id/iterations?state=closed
GET /projects/:id/iterations?search=version
GET /projects/:id/iterations?include_ancestors=false
GET /projects/:id/iterations?include_descendants=true
GET /projects/:id/iterations?updated_before=2013-10-02T09%3A24%3A18Z
GET /projects/:id/iterations?updated_after=2013-10-02T09%3A24%3A18Z
속성 타입 필수 설명
state string 아니오 'opened, upcoming, current, closed 또는 all 반복 반환.'
search string 아니오 제공된 문자열과 일치하는 제목을 가진 반복만 반환합니다.
in array of strings 아니오 search 인수에 지정된 쿼리로 퍼지 검색을 수행할 필드. 사용 가능한 옵션은 titlecadence_title입니다. 기본값은 [title]입니다. GitLab 16.2에서 도입.
include_ancestors boolean 아니오 상위 그룹 및 해당 상위 항목에 대한 반복을 포함합니다. 기본값은 true입니다.
include_descendants boolean 아니오 상위 그룹 및 해당 하위 항목에 대한 반복을 포함합니다. 기본값은 false입니다. GitLab 16.7에서 도입.
updated_before datetime 아니오 지정된 날짜/시간 이전에 업데이트된 반복만 반환합니다. ISO 8601 형식(2019-03-15T08:00:00Z)으로 입력합니다. GitLab 15.10에서 도입.
updated_after datetime 아니오 지정된 날짜/시간 이후에 업데이트된 반복만 반환합니다. ISO 8601 형식(2019-03-15T08:00:00Z)으로 입력합니다. GitLab 15.10에서 도입.

요청 예:

curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/iterations"

응답 예:

[
  {
    "id": 53,
    "iid": 13,
    "group_id": 5,
    "title": "Iteration II",
    "description": "Ipsum Lorem ipsum",
    "state": 2,
    "created_at": "2020-01-27T05:07:12.573Z",
    "updated_at": "2020-01-27T05:07:12.573Z",
    "due_date": "2020-02-01",
    "start_date": "2020-02-14",
    "web_url": "http://gitlab.example.com/groups/my-group/-/iterations/13"
  }
]